package com.crm.rely.backend.model.dto.report;

import lombok.Data;

/**
 * 交易量佣金报表列表
 *
 * @author y
 * @create 2022/5/5
 */
@Data
public class VolumeReportSumDto {

    private Float fx;

    private Float cfd;

    private Float index;

    private Float metal;

    private Float sum;

    public static VolumeReportSumDto getInstance() {
        VolumeReportSumDto sumDto = new VolumeReportSumDto();
        sumDto.setFx(0F);
        sumDto.setCfd(0F);
        sumDto.setMetal(0F);
        sumDto.setIndex(0F);
        sumDto.setSum(0F);
        return sumDto;
    }

    public Float calcSum() {
        return this.fx + this.cfd + this.index + this.metal;
    }

}
